/*
Theme Name:   marketingkollektiv
Theme URI:    https://marketingkollektiv.com
Description:  A child theme for the Greyd Theme powered by marketingkollektiv GmbH
Author:       marketingkollektiv GmbH
Author URI:   http://marketingkollektiv.com
Template:     greyd-theme
Version:      1.0.0
License:      GPLv2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  mk-theme
*/

/***************************************************
**** VARIABLEN ÜBERSCHREIBUNGEN
***************************************************/

:root {
    --pgn-numbers-gutter: 4px;
    --wp--custom--greyd--input--prim--border--style: solid;
}

/***************************************************
****
**** BORLABS MAPPING
****
***************************************************/
/*
body {
    --dialog-backdrop-background-color: var(--wp--preset--color--foreground);

    --dialog-button-accept-all-color: var(--wp--custom--greyd--button--prim--color--background);
    --dialog-button-accept-all-color-hover: var(--wp--custom--greyd--button--prim--hover--color--background);
    --dialog-button-accept-all-text-color: var(--wp--custom--greyd--button--prim--color--text);
    --dialog-button-accept-all-text-color-hover: var(--wp--custom--greyd--button--prim--hover--color--text);

    --dialog-button-accept-only-essential-color: var(--wp--preset--color--background);
    --dialog-button-accept-only-essential-color-hover: var(--wp--preset--color--base);
    --dialog-button-accept-only-essential-text-color: var(--wp--preset--color--foreground);
    --dialog-button-accept-only-essential-text-color-hover: var(--dialog-button-accept-only-essential-text-color);

    --dialog-text-color: var(--wp--preset--color--foreground);
    --dialog-card-text-color: var(--dialog-text-color);
    --dialog-link-secondary-color: var(--dialog-text-color);

    --dialog-button-preferences-color: var(--dialog-button-accept-only-essential-color);
    --dialog-button-preferences-color-hover: var(--dialog-button-accept-only-essential-color-hover);
    --dialog-button-preferences-text-color: var(--dialog-button-accept-only-essential-text-color);
    --dialog-button-preferences-text-color-hover: var(--dialog-button-accept-only-essential-text-color-hover);
    --dialog-button-save-consent-color: var(--dialog-button-accept-only-essential-color);
    --dialog-button-save-consent-color-hover: var(--dialog-button-accept-only-essential-color-hover);
    --dialog-button-save-consent-text-color: var(--dialog-button-accept-only-essential-text-color);
    --dialog-button-save-consent-text-color-hover: var(--dialog-button-accept-only-essential-text-color-hover);

    --dialog-tab-bar-tab-background-color-active: var(--wp--custom--greyd--button--prim--color--background);
    --dialog-tab-bar-tab-border-color-bottom-active: var(--dialog-tab-bar-tab-background-color-active);
    --dialog-tab-bar-tab-border-color-left-active: var(--dialog-tab-bar-tab-background-color-active);
    --dialog-tab-bar-tab-border-color-right-active: var(--dialog-tab-bar-tab-background-color-active);
    --dialog-tab-bar-tab-border-color-top-active: var(--dialog-tab-bar-tab-background-color-active);

    --dialog-link-primary-color: var(--dialog-button-accept-all-color);
    --dialog-link-primary-color-hover: var(--dialog-button-accept-all-color-hover);
    --dialog-link-secondary-color-hover: var(--dialog-button-accept-all-color-hover);

    --dialog-control-element-color: var(--dialog-link-primary-color);
    --dialog-card-control-element-color: var(--dialog-link-primary-color);
    --dialog-card-control-element-color-hover: var(--dialog-link-primary-color-hover);

    --content-blocker-button-color: var(--dialog-button-accept-all-color);
    --content-blocker-button-color-hover: var(--dialog-button-accept-all-color-hover);
    --content-blocker-link-color: var(--dialog-link-primary-color);
    --content-blocker-link-color-hover: var(--dialog-link-primary-color-hover);
}

.borlabs-cookie-open-dialog-preferences a:hover {
    color: var(--dialog-link-primary-color-hover);
}
*/
/***************************************************
**** GLOBAL FIXES
***************************************************/

main {
    z-index: 1;
}

.wp-block-cover[style*="min-height:100vh"] {
    min-height: 100svh !important;
}

.wp-block-greyd-list a[href*="mailto:"],
.wp-block-greyd-list a[href*="tel:"],
.wp-block-greyd-box a:not(.button)[href*="mailto:"],
.wp-block-greyd-box a:not(.button)[href*="tel:"] {
    text-decoration: none;
    color: inherit;
    font: inherit;
}


/***************************************************
**** HELPER
***************************************************/
.overflow-hidden {
    overflow: hidden !important;
}

.blackwhite .bg_image,
.blackwhite .wp-block-cover__image-background,
.blackwhite .wp-block-cover__video-background {
    filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
}
.mk-svg {
    width: 1.8em;
    display: block;
}

/***************************************************
****
**** NAVIGATION
****
***************************************************/






/***************************************************
**** BUTTONS
***************************************************/

.button.is-style-clear span[class*="arrow_"] {
    color: var(--wp--preset--color--primary);
    font-size: 1.2em !important;
}

.button span[style="flex:1"] {
    text-align: left;
}


/***************************************************
**** POPUPS
***************************************************/

.popup_wrapper {
    position: relative;
}



/***************************************************
****
**** Plugin: Splide Carousel
****
***************************************************/

.wp-block-splide-carousel .splide__arrow {
    border-radius: var(--wp--custom--greyd--button--prim--border--radius);
    background: var(--wp--preset--color--dark);
    opacity: 1;
}

.wp-block-splide-carousel .splide__arrows .splide__arrow {
    width: 40px;
    height: 40px;
}
.wp-block-splide-carousel .splide__arrow:disabled{
  opacity: 0.7 !important;
}

.wp-block-splide-carousel .splide__arrow svg {
    height: .7em;
    width: .7em;
    fill: white;
}

.wp-block-splide-carousel .splide__arrows--ltr .splide__arrow--prev {
    left: 1em;
}

.wp-block-splide-carousel .splide__arrows--ltr .splide__arrow--next {
    right: 1em;
}

.splide__controls {
    position: absolute;
    bottom: 1em;
    left: 1em;
    background: var(--wp--preset--color--dark);
    border-radius: var(--wp--custom--greyd--button--prim--border--radius);
    padding: 6px;
}

.wp-block-splide-carousel .splide__pagination__page,
.wp-block-splide-carousel .splide__toggle {
    background: white;
    opacity: 1 !important;
}

.wp-block-splide-carousel .splide__arrow:hover:not(:disabled),
.wp-block-splide-carousel .splide__toggle:hover,
.wp-block-splide-carousel .splide__pagination__page.is-active {
    background: rgb(26, 51, 37);
}
.wp-block-splide-carousel .splide__arrow:hover:not(:disabled){
  opacity: 1;
}

.wp-block-splide-carousel .splide__toggle {
    margin-right: 8px;
    height: 24px;
    width: 24px;
}


/***************************************************
**** QUERY LOOP
***************************************************/




/***************************************************
**** Blog / Kategorie-Menü
***************************************************/

.wp-block-categories-list {
    list-style: none;
    padding: 0;
}

.wp-block-categories-list li {
    display: flex;
    gap: .5em;
    align-items: center;
}
.wp-block-categories-list li.current-cat > a {
    color: var(--wp--preset--color--primary);
}
.wp-block-categories-list li:before {
    color: var(--wp--preset--color--primary);
    font-size: 1.1em;
}

/***************************************************
****
**** FORMS
****
***************************************************/

.requirement-required {
    color: var(--wp--preset--color--primary) !important;
}

.input-wrapper label.checkbox-label, .input-wrapper .label.checkbox-label, fieldset label, .wp-block-greyd-forms-radiobuttons label:not(.label), .radio_buttons label:not(.label) {
    line-height: var(--wp--custom--line-height--normal) !important;
}

.input-wrapper .label_wrap {
    margin-bottom: calc(0.35 * var(--wp--preset--spacing--tiny)) !important;
}

.img_pnl_wrapper, .check-kacheln .img_pnl {
    gap: .4em !important;
}

.check-kacheln .img_pnl .img_wrap {
    display: inline-block;
    width: 1.4em;
    height: 1.4em;
    background-color: var(--wp--preset--color--base);
    background-image: none;
    background-repeat: no-repeat;
    background-size: 57%;
    background-position: center center;
    border-radius: 999px;
}

.check-kacheln.input-wrapper:not(.is-style-none) input:checked + span + .img_pnl .img_wrap,
.check-kacheln .img_pnl.selected .img_wrap {
    background-color: var(--wp--preset--color--primary);
    background-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' viewBox='0 0 12 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.8059 0.771089C10.7378 0.698496 10.6568 0.640877 10.5676 0.601557C10.4784 0.562236 10.3827 0.541992 10.286 0.541992C10.1893 0.541992 10.0936 0.562236 10.0044 0.601557C9.91511 0.640877 9.83412 0.698496 9.76605 0.771089L4.3104 6.54889L2.01829 4.11695C1.94761 4.04473 1.86417 3.98795 1.77274 3.94984C1.6813 3.91173 1.58367 3.89304 1.48541 3.89484C1.38715 3.89664 1.29019 3.91889 1.20006 3.96032C1.10992 4.00175 1.02839 4.06155 0.960114 4.13631C0.891835 4.21107 0.838147 4.29931 0.802115 4.39601C0.766083 4.49271 0.748412 4.59597 0.750112 4.6999C0.751812 4.80382 0.772849 4.90637 0.812023 5.0017C0.851196 5.09702 0.907738 5.18325 0.978421 5.25547L3.79046 8.22956C3.85854 8.30216 3.93953 8.35977 4.02877 8.39909C4.11801 8.43841 4.21372 8.45866 4.3104 8.45866C4.40707 8.45866 4.50278 8.43841 4.59202 8.39909C4.68126 8.35977 4.76225 8.30216 4.83033 8.22956L10.8059 1.90961C10.8802 1.83708 10.9396 1.74906 10.9801 1.65109C11.0207 1.55311 11.0417 1.44731 11.0417 1.34035C11.0417 1.23339 11.0207 1.12759 10.9801 1.02961C10.9396 0.931639 10.8802 0.843615 10.8059 0.771089Z' fill='white'/%3E%3C/svg%3E%0A");
}


/** SLICK-SLIDER ***/
.oo-detailsgallery.slick-slider{
  margin-bottom: 10px;
}
.oo-detailspicture,
.oo-detailspicture.slick-slide{
  height: 630px;
}
.slider-nav-img-wrapper{
  padding: 10px;
  height: 150px;
  opacity: 0.5;
}
.slider-nav-img-wrapper.slick-current{
  opacity: 1;
}

.slick-prev:before,
.slick-next:before{
  content: '';
}
.slick-arrow{
  background-size: cover;
  opacity: 0.8;
}
.slick-prev,
.slick-next{
  width: 35px;
  height: 35px;
}
.slick-prev{
  background-image: url('img/arrow-left.svg');
}
.slick-next{
  background-image: url('img/arrow-right.svg');
}
.slick-prev:hover,
.slick-next:hover{
  opacity: 1;
}
.slider-nav .slick-arrow{
  display: none !important;
}







/*** SONSTIGES ***/
.no-max-width, .no-max-width img {
    max-width: none !important;
}
.ti-widget.ti-goog a.ti-header{
  border: 0 !important;
}


@media (max-width: 992px) {

}

@media (max-width: 576px) {

}



/*** CUSTOM: DENNIS ***/


/*** HEADER ***/

@media (max-width: 992px) {
  .header-button button{
    height: 40px;
    width: 40px;
    padding: 0;
  }
  .header-button button span{
    display: none;
  }
  .header-button button span.icon_menu{
    display: block;
    margin-right: 0 !important;
  }
  .header-button button span.icon_menu:before{
    font-size: 1.4em;
  }
  .header-button-projekte{
    padding: 0 !important;
    margin: 0 !important;
    width: 40px;
    height: 40px;
  }
  .header-button-projekte span{
    display: none;
  }
  .header-button-projekte span.arrow_right{
    display: block;
    margin-left: 0 !important;
    background-image: url(img/icon-projekte.svg);
    background-repeat: no-repeat;
    width: 50%;
    height: 50%;
    background-position: center;
    background-size: 100%;
  }
  .header-button-projekte .arrow_right:before{
    display: none;
  }
}


.wp-block-image.is-style-rounded-corners img{
  border-radius: 20px;
}

/*** Projekt-Detail ***/
.project-detail-bg:after{
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  background: linear-gradient(180deg,rgba(26,51,37,0.64) 0%,rgb(26,51,37) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

/*** Projekt-Teaser ***/
.projekt-teaser figure,
.projekt-teaser .arrow-button,
.bg-image-teaser figure,
.bg-image-teaser .arrow-button{
  transition: 0.5s all;
}
.projekt-teaser:hover figure,
.bg-image-teaser:hover figure{
  transform: scale(1.05);
}
.projekt-teaser:hover .arrow-button,
.bg-image-teaser:hover .arrow-button{
  transform: scale(1.2);
}

.box-shadow{
  -webkit-box-shadow: 0px 4px 25px 0px rgba(0,0,0,0.25);
  box-shadow: 0px 4px 25px 0px rgba(0,0,0,0.25);
  overflow: hidden;
  border-radius: 1em;
}
